nodehive_core_space_dashboard.space.redirect:
  path: '/space/redirect'
  defaults:
    _controller: '\Drupal\nodehive_core_space_dashboard\Controller\SpaceVisitLinkRedirectController::redirectToSpaceLink'
    _title: 'Redirect to space link'
  requirements:
    _permission: 'access content'
  options:
    no_cache: 'TRUE'

nodehive_core_space_dashboard.users_list_builder:
  path: '/space/{nodehive_space}/users'
  defaults:
    _form: '\Drupal\nodehive_core_space_dashboard\Form\SpaceUserListBuilderForm'
    _title: 'Users'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core_space_dashboard.remove_user_from_space_form:
  path: '/space/{nodehive_space}/remove/user/{user}'
  defaults:
    _form: '\Drupal\nodehive_core_space_dashboard\Form\RemoveUserFromSpaceConfirmForm'
    _title: 'Remove user'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core_space_dashboard.create_content:
  path: '/space/{nodehive_space}/create'
  defaults:
    _controller: '\Drupal\nodehive_core_space_dashboard\Controller\SpaceCreateContentController::createContent'
    _title: 'Add content'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core_space_dashboard.menus:
  path: '/space/{nodehive_space}/menus'
  defaults:
    _controller: '\Drupal\nodehive_core_space_dashboard\Controller\SpaceMenuController::listMenus'
    _title: 'Menus'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core_space_dashboard.content:
  path: '/space/{nodehive_space}/content'
  defaults:
    _controller: '\Drupal\nodehive_core_space_dashboard\Controller\SpaceContentController::content'
    _title: 'Space Content'
  requirements:
    _permission: 'administer nodehive space'
